Skip to Content
AccountingCanada Tax

Retrieve the GST/HST Summary Report

GET
/v0/business/{business_id}/reports/canada/gst-summary

Summarize GST/HST for a reporting period: tax collected on sales (GST34 line 105), input tax credits (line 108), and the net tax remittable to or recoverable from the CRA (line 109).

Authorization

OAuth2ClientCredentialsBearer report:read
headerAuthorizationBearer <token>

Scope: report:read

Path Parameters

business_id*Business Id

The ID of the Business

Formatbiz_string

Query Parameters

basis?ReportBasis

Accrual or cash basis. Defaults to ReportBasis.MODIFIED_CASH.

Default"modified_cash"
Value in"accrual""modified_cash"
start_datetime*Start Datetime

The start date (inclusive) of the reporting period in ISO-8601 format.

Formatdate-time
end_datetime*End Datetime

The end of the period (exclusive) in ISO-8601 format. To include a whole day, pass midnight at the start of the next day, e.g. 2026-04-01T00:00:00Z for a period ending March 31.

Formatdate-time

Response Body

Successful Response

application/json
  1. response
data*
Example Request
curl -X GET 'https://api.sandbox.getasset.com/v0/business/biz_GA6EG2qFxA97NZHtxeLPUy/reports/canada/gst-summary?start_datetime=2025-01-01T00%3A00%3A00Z&end_datetime=2026-01-01T00%3A00%3A00Z'
Example Response
{  "data": {    "tax_collected": 1300,    "input_tax_credits": 450,    "net_tax": 850  }}